CoxRossRubinstein Class Reference
Lattice methods

Cox-Ross-Rubinstein (multiplicative) equal jumps binomial tree. More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for CoxRossRubinstein:
[legend]

## Public Member Functions

| CoxRossRubinstein (const ext::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)
Public Member Functions inherited from EqualJumpsBinomialTree< CoxRossRubinstein >
| EqualJumpsBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size branch) const
Public Member Functions inherited from BinomialTree< CoxRossRubinstein >
| BinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< CoxRossRubinstein >
| Tree (Size columns)
Size | columns () const

## Additional Inherited Members

Public Types inherited from BinomialTree< CoxRossRubinstein >
enum | Branches
Protected Member Functions inherited from CuriouslyRecurringTemplate< CoxRossRubinstein >
CoxRossRubinstein & | impl ()
const CoxRossRubinstein & | impl () const
Protected Attributes inherited from EqualJumpsBinomialTree< CoxRossRubinstein >
Real | dx_
Real | pu_
Real | pd_
Protected Attributes inherited from BinomialTree< CoxRossRubinstein >
Real | x0_
Real | driftPerStep_
Time | dt_

## Detailed Description

Cox-Ross-Rubinstein (multiplicative) equal jumps binomial tree.